## ros-humble-aerostack2 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(aerostack2)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-humble-aerostack2 (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-aerostack2 (1.0.3-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-aerostack2 (1.0.2-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-aerostack2 (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-aerostack2 (1.0.0-1jammy) jammy; urgency=high



 -- Miguel Fernandez-Cortizas <miguel.fernandez.cortizas@upm.es>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-aerostack2 (0.2.2-1jammy) jammy; urgency=high



 -- Miguel Fernandez-Cortizas <miguel.fernandez.cortizas@upm.es>  Mon, 19 Dec 2022 23:00:00 -0000

ros-humble-aerostack2 (0.2.1-1jammy) jammy; urgency=high

  * Merge pull request #33 <https://github.com/aerostack2/aerostack2/issues/33> from aerostack2/behavior_tree
    Update behavior tree
  * Update behavior tree
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * aerostack2 pkg added
  * Contributors: Miguel Fernandez-Cortizas, RPS98, miferco97

 -- Miguel Fernandez-Cortizas <miguel.fernandez.cortizas@upm.es>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-aerostack2
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-aerostack2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-alphanumeric-viewer, ros-humble-as2-behavior, ros-humble-as2-behavior-tree, ros-humble-as2-behaviors-motion, ros-humble-as2-behaviors-perception, ros-humble-as2-behaviors-platform, ros-humble-as2-behaviors-trajectory-generation, ros-humble-as2-cli, ros-humble-as2-core, ros-humble-as2-gazebo-classic-assets, ros-humble-as2-keyboard-teleoperation, ros-humble-as2-motion-controller, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-as2-platform-crazyflie, ros-humble-as2-platform-tello, ros-humble-as2-python-api, ros-humble-as2-realsense-interface, ros-humble-as2-state-estimator, ros-humble-as2-usb-camera-interface, ros-humble-ros-workspace
Description: Aerostack2 is a ROS2-based framework for the development of autonomous systems for aerial robotics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aerostack2//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-aerostack2 1.0.9

=== debian/changelog ===
ros-humble-aerostack2 (1.0.9-3bookworm) bookworm; urgency=high

  * [as2_platform_tello] Missing params and new file name
  * [as2_behaviors_motion] Relative yaw in go_to fixed when frame is other than earth
  * [as2_behaviors_perception] PointGimbalBehavior to use TF
  * [as2_behaviors_perception] Point Gimbal behavior
  * [as2_msgs] New point gimbal action msg
  * [as2_core] get quaternion stamped included in tf utils
  * [as2_core] quaternion convert wrapped in try and catch
  * [as2_core] Add quaternion support for TF convert method
  * [as2_python_api] added try except in deserialize method
  * [as2_python_api] Added feedback to rtl module
  * [as2_python_api] Add init files to missing subpkgs
  * [as2_python_api] New RTL module
  * [as2_python_api] Point Gimbal behavior client
  * [as2_python_api] Add topic namespace with argument in mission interpreter
  * [as2_gazebo_assets] added local frame to simulated gimbal msg
  * [as2_gazebo_assets] Partial fix on Crazyflie Model
  * [as2_gazebo_assets] Point gimbal working and Gimbal Inertial links enabling to fly
  * [as2_gazebo_assets] Nested sdf model for gimbal and fixed TF tree
  * [as2_state_estimator] latlon2local function fails in z coordinate, added earth_to_map_height parameter
  * [as2_state_estimator] raw odometry plugin should have a set gps origin
  * Contributors: Javier Melero, Javilinos, pariaspe, Rafael Perez-Segui, Rafael Pérez, Miguel Fernandez-Cortizas, cvar-developers, Mickey Li

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-aerostack2 (1.0.8-3bookworm) bookworm; urgency=high

  * [as2_core] added pybind11 dependency
  * [as2_python_api] Jenkins test fail: searching for module first at modules folder and hook as2_modules_path fix
  * Contributors: pariaspe, Rafael Pérez

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-aerostack2 (1.0.7-3bookworm) bookworm; urgency=high

  * [as2_platform_dji_osdk] Added libusb-dev dependency
  * [as2_platform_gazebo] Remove ign from name
  * [as2_cli] Clean old unused files
  * [as2_core] Bug fixed, getPoseStamped function differs from timeout 0 and not 0
  * [as2_core] Python as2_names bindings
  * [as2_core] format tests according with ament_lint_common() packages
  * [as2_python_api] Moving test files to test folder
  * [as2_gazebo_assets] Gimbal model added
  * [as2_gazebo_assets] Cleaning remaining ign, bridges use gz instead ign
  * [as2_gazebo_assets] Renamed to as2_gazebo_assets
  * [as2_gazebo_classic_assets] Fix pass drone namespace to run_sitl.sh
  * Contributors: Miguel Fernandez-Cortizas, Javilinos, Rafael Pérez, pariaspe, pawanw17

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-aerostack2 (1.0.6-3bookworm) bookworm; urgency=high

  * [as2_python_api] Specifying subdirectories in setup.py
  * [as2_motion_controller] Update PID controller dependence to v1.0
  * [aerostack2] Takeoff and GoTo behaviors renaming
  * [as2_platform_crazyflie] Fix wrong sensor name for multiranger deck
  * [as2_core] Add node options to aerial platform
  * [aerostack2] Sorted and updated list of dependencies in metapackage
  * [as2_behaviors] Behaviors composable nodes
  * [as2_motion_controller] Refactor CMakeLists.txt for creating a dynamic lib for each plugin
  * [as2_motion_controller] Add trajectory reference to actuators commands
  * [as2_msgs] Geofence messages removed from as2_msgs
  * [as2_gazebo_classic_assets] Load custom world in gazebo 11
  * Contributors: Rafael Pérez, Miguel Fernandez-Cortizas, pariaspe, RPS98, Javilinos, adri-mp,

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-aerostack2 (1.0.5-3bookworm) bookworm; urgency=high

  * [as2_platform_crazyflie] Multi-ranger deck interface to laser_scan msg
  * [as2_platform_dji_osdk] Add camera change source topic
  * [as2_platform_dji_osdk] Fixes gps time subscription
  * [as2_platform_tello] Add camera_freq param to platform config file
  * [as2_platform_tello] Fixed tello camera
  * [as2_core] Deal with low latency frames that are not earth
  * [as2_motion_reference_handlers] Explicit namespace for motion reference handlers
  * [as2_msgs] Improve MissionUpdate message
  * [as2_python_api] Load modules from project path for mission interpreter
  * [as2_python_api] Improve MissionUpdate message
  * [as2_gazebo_classsic_assets] Add gazebo_ros_pkgs dependence
  * [as2_gazebo_classsic_assets] Runs PX4 in the foreground if gzclient is disabled (HEADLESS)
  * [as2_ign_gazebo_assets] Spawn objects from gz resource path
  * [as2_ign_gazebo_assets] Hexrotor back to fly
  * Contributors: Javilinos, pariaspe, RPS98, pawanw17, Miguel Fernandez-Cortizas, Rodrigo Da Silva

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-aerostack2 (1.0.4-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-aerostack2 (1.0.3-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-aerostack2 (1.0.2-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-aerostack2 (1.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-aerostack2 (1.0.0-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-aerostack2 (0.2.2-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 16:00:00 -0000

ros-humble-aerostack2 (0.2.1-3bookworm) bookworm; urgency=high



=== debian/control ===
Source: ros-humble-aerostack2
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-aerostack2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-alphanumeric-viewer, ros-humble-as2-behavior, ros-humble-as2-behavior-tree, ros-humble-as2-behaviors-motion, ros-humble-as2-behaviors-perception, ros-humble-as2-behaviors-platform, ros-humble-as2-behaviors-trajectory-generation, ros-humble-as2-cli, ros-humble-as2-core, ros-humble-as2-gazebo-assets, ros-humble-as2-gazebo-classic-assets, ros-humble-as2-keyboard-teleoperation, ros-humble-as2-motion-controller, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-as2-platform-crazyflie, ros-humble-as2-platform-gazebo, ros-humble-as2-platform-tello, ros-humble-as2-python-api, ros-humble-as2-realsense-interface, ros-humble-as2-state-estimator, ros-humble-as2-usb-camera-interface, ros-humble-ros-workspace
Description: Aerostack2 is a ROS2-based framework for the development of autonomous systems for aerial robotics.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aerostack2//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-aerostack2//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-aerostack2//opt/ros/humble/opt/aerostack2/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
